<?php
	/*
	* Модуль почты для JohnCMS 3.2.2 v2.6
	* Copyright © 2010-2011 UPcoder.RU Group All Rights Reserved.
	* Coding by Krite 2010-2011
	*/
	defined('_IN_JOHNCMS') or die('Error: restricted access');
	$textl = 'Рассылка сообщений';
	$headmod = 'pochta';
	require_once('../incfiles/head.php');
	if ($rights < 7) {
		echo display_error('Доступ закрыт');
		require_once ('../incfiles/end.php');
		exit;
	}
	echo '<div class="phdr"><h3>Рассылка сообщений</h3></div>';
		if(!isset($_POST['submit'])) {
			echo '<form action="'.$home.'/pochta/index.php?act=sending_out" method="post"><div class="menu">
			<strong>Сообщение:</strong> (4-'.$pochta['MAX_MESSAGE'].')<br />
			<textarea rows="4" cols="25" name="text"></textarea><br />
			<input type="radio" value="1" name="whom" checked="checked"/>&nbsp;Всем<br />
			<input type="radio" value="2" name="whom" />&nbsp;Только онлайн<br />
			<input type="submit" name="submit" value="Написать"/>
			</div></form>';
		}
		else {
			$text = isset($_POST['text']) ? trim($_POST['text']) : '';
			$whom = isset($_POST['whom']) && $_POST['whom']==1 ? 1 : 2;
			
			$error = array();
			
			if (!$text)
				$error[] = 'Вы не ввели сообщение!';
			else if (mb_strlen($text) > 1024)
				$error[] = 'Слишком длинное сообщение! (Максимум 1024 символа).';
			if (mb_strlen($text) < 4)
				$error[] = 'Слишком короткое сообщение! (Минимум 4 символа).';
				
			if(!$error) {
				
				$req = mysql_query("SELECT * FROM `users` WHERE `id`!='$user_id'".($whom==2?' AND `lastdate` > '.($realtime-300).'':'')."");
				$site = '[url=http://upcoder.net/]upcoder.net[/url]';
				
				while ($res = mysql_fetch_assoc($req)) {
					mysql_query("INSERT INTO `mail_msg` SET
					`id_kont`='" . $res['id'] . "',
					`tema`='Рассылка сообщений',
					`msg`='$text\r\nСлужба рассылки $site!',
					`time`='$realtime',
					`sys`='2'");
				}
				echo '<div class="menu">Сообщение разослано</div>';
			}
			else {
				echo '<div class="rmenu">'.implode('<br/>',$error).'</div>';
			}
		}
		echo '<div class="bmenu"><a href="'.$home.'/index.php?act=cab">Назад</a></div>';
?>